/*!
 * Bootstrap Nav Paginator 1.0.2
 * Author: Robin Prugne
 */

/**
 * @summary     Bootstrap Nav Paginator
 * @description Pagination module for Bootstrap's nav component
 * @version     1.0.2
 * @file        bootstrap-nav-paginator.min.js
 * @author      Robin Prugne
 *
 * This source file is free software, available under the following license:
 *      MIT license
 */

let navs=[],pages_index=[],n_items_per_pages=[],selectors=[];function initialize(e,t){if(navs[t]=e,void 0===navs[t].dataset.paginatorItemCount)throw"Bootstrap Nav Paginator Error: attribute 'item count' is missing.";if(!(navs[t].dataset.paginatorItemCount>0))throw"Bootstrap Nav Paginator Error: attribute 'item count' must be a positive number.";n_items_per_pages[t]=navs[t].dataset.paginatorItemCount,pages_index[t]=get_page_from_item(t,"ul"===e.tagName.toLowerCase()?e.querySelectorAll(".active")[0].parentNode:e.querySelectorAll(".active")[0])}function add_buttons(e){let t=document.createElement("li");t.classList="nav-item",t.innerHTML=' \n            <a class="btn nav-paginator-prev" href="#">\n                <svg aria-hidden="true" focusable="false" data-prefix="fas" data-icon="angle-double-left" class="svg-inline--fa fa-angle-double-left fa-w-14" role="img" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 448 512" style="height: 18px;">\n                    <path fill="currentColor" d="M223.7 239l136-136c9.4-9.4 24.6-9.4 33.9 0l22.6 22.6c9.4 9.4 9.4 24.6 0 33.9L319.9 256l96.4 96.4c9.4 9.4 9.4 24.6 0 33.9L393.7 409c-9.4 9.4-24.6 9.4-33.9 0l-136-136c-9.5-9.4-9.5-24.6-.1-34zm-192 34l136 136c9.4 9.4 24.6 9.4 33.9 0l22.6-22.6c9.4-9.4 9.4-24.6 0-33.9L127.9 256l96.4-96.4c9.4-9.4 9.4-24.6 0-33.9L201.7 103c-9.4-9.4-24.6-9.4-33.9 0l-136 136c-9.5 9.4-9.5 24.6-.1 34z"></path>\n                </svg>\n            </a>',navs[e].prepend(t);let a=document.createElement("li");a.classList="nav-item",a.innerHTML=' \n            <a class="btn nav-paginator-next" href="#">\n                <svg aria-hidden="true" focusable="false" data-prefix="fas" data-icon="angle-double-right" class="svg-inline--fa fa-angle-double-right fa-w-14" role="img" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 448 512" style="height: 18px;">\n                    <path fill="currentColor" d="M224.3 273l-136 136c-9.4 9.4-24.6 9.4-33.9 0l-22.6-22.6c-9.4-9.4-9.4-24.6 0-33.9l96.4-96.4-96.4-96.4c-9.4-9.4-9.4-24.6 0-33.9L54.3 103c9.4-9.4 24.6-9.4 33.9 0l136 136c9.5 9.4 9.5 24.6.1 34zm192-34l-136-136c-9.4-9.4-24.6-9.4-33.9 0l-22.6 22.6c-9.4 9.4-9.4 24.6 0 33.9l96.4 96.4-96.4 96.4c-9.4 9.4-9.4 24.6 0 33.9l22.6 22.6c9.4 9.4 24.6 9.4 33.9 0l136-136c9.4-9.2 9.4-24.4 0-33.8z"></path>\n                </svg>\n            </a>',navs[e].append(a),selectors[e]=[],selectors[e].prev=t.children[0],selectors[e].next=a.children[0],void 0!==navs[e].dataset.paginatorButtonsClass&&navs[e].dataset.paginatorButtonsClass.length>0&&navs[e].dataset.paginatorButtonsClass.split(" ").forEach(function(t){selectors[e].prev.classList.add(t),selectors[e].next.classList.add(t)})}function update_view(e){let t=Array.from(navs[e].children);t=t.filter(a=>0!==t.indexOf(a)&&t.indexOf(a)!==navs[e].children.length-1),Array.from(t,function(t,a){a<n_items_per_pages[e]*pages_index[e]&&a>=n_items_per_pages[e]*(pages_index[e]-1)?t.style.display="block":t.style.display="none"}),1===pages_index[e]?selectors[e].prev.classList.add("disabled"):selectors[e].prev.classList.remove("disabled"),t.length<=n_items_per_pages[e]*pages_index[e]?selectors[e].next.classList.add("disabled"):selectors[e].next.classList.remove("disabled")}function events(e){selectors[e].next.addEventListener("click",function(){pages_index[e]++,update_view(e)}),selectors[e].prev.addEventListener("click",function(){pages_index[e]--,update_view(e)})}function get_page_from_item(e,t){let a=Array.prototype.slice.call(navs[e].children).indexOf(t);return parseInt(a/n_items_per_pages[e])+1}document.addEventListener("DOMContentLoaded",function(){Array.from(document.querySelectorAll(".nav-paginator")).forEach(function(e,t){initialize(e,t),add_buttons(t),update_view(t),events(t)})}),Element.prototype.BsNavPaginator=function(e,t=""){let a=navs.length;this.dataset.paginatorItemCount=e,this.dataset.paginatorButtonsClass=t,initialize(this,a),add_buttons(a),update_view(a),events(a)};